petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSGLAdaptRegister

adds a TSGLAdapt implementation

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGLAdaptRegister(const char sname[],PetscErrorCode (*function)(TSGLAdapt))

Not Collective

### Input Parameters

| name_scheme | - name of user-defined adaptivity scheme
| routine_create | - routine to create method context

### Notes

TSGLAdaptRegister() may be called multiple times to add several user-defined families.

### Sample usage

       TSGLAdaptRegister("my_scheme",MySchemeCreate);

Then, your scheme can be chosen with the procedural interface via

        TSGLAdaptSetType(ts,"my_scheme")

or at runtime via the option

        -ts_adapt_type my_scheme

### Keywords

TSGLAdapt, register

### See Also

TSGLAdaptRegisterAll()

Level:advanced
Location:src/ts/impls/implicit/gl/gladapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages